FROM node:latest as build-stage

WORKDIR /var/www/client

COPY package*.json ./

RUN yarn install

ARG VUE_APP_API_URL
ENV VUE_APP_API_URL $VUE_APP_API_URL

COPY . .

RUN npm run build

FROM nginx:1.18-alpine
COPY --from=build-stage /var/www/client/dist /usr/share/nginx/html
EXPOSE 8060
CMD ["nginx", "-g", "daemon off;"]
